CREATE TABLE `denergies` (
  `id` int(11) NOT NULL,
  `DID` int(11) NOT NULL,
  `PRODID` varchar(20) NOT NULL,
  `SERIALNO` varchar(64) NOT NULL,
  `TRANDATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ENERGY` double NOT NULL,
  `ISCOMPLETE` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `henergies` (
  `id` int(11) NOT NULL,
  `HID` int(11) NOT NULL,
  `PRODID` varchar(20) NOT NULL,
  `SERIALNO` varchar(64) NOT NULL,
  `TRANDATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `IHOUR` int(11) NOT NULL,
  `ENERGY` double NOT NULL,
  `ISCOMPLETE` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `menergies` (
  `id` int(11) NOT NULL,
  `MID` int(11) NOT NULL,
  `PRODID` varchar(20) NOT NULL,
  `SERIALNO` varchar(64) NOT NULL,
  `YEARMONTH` varchar(64) NOT NULL,
  `ENERGY` double NOT NULL,
  `ISCOMPLETE` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `serialnos` (
  `SID` int(11) NOT NULL,
  `PRODID` varchar(32) CHARACTER SET latin1 DEFAULT NULL,
  `SERIALNO` varchar(32) CHARACTER SET latin1 DEFAULT NULL,
  `MPPTNUMBER` int(11) DEFAULT NULL,
  `PARALLEL` int(11) DEFAULT NULL,
  `MODETYPE` varchar(4) CHARACTER SET latin1 DEFAULT NULL,
  `NAME` varchar(30) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE `workDatas` (
  `id` int(11) NOT NULL,
  `WORKID` int(11) NOT NULL,
  `PRODID` varchar(10) CHARACTER SET latin1 DEFAULT NULL,
  `SERIALNO` varchar(32) CHARACTER SET latin1 DEFAULT NULL,
  `WORKMODE` varchar(32) CHARACTER SET latin1 DEFAULT NULL,
  `GRIDVOLTAGER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `GRIDPOWERR` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `GRIDCURRENTR` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `GRIDFREQUENCY` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `ACOUTPUTVOLTAGER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `ACOUTPUTPOWERR` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `ACOUTPUTFREQUENCY` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `ACOUTPUTCURRENTR` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `OUTPUTLOADPERCENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PBATTERYVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `NBATTERYVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `BATTERYCAPACITY` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `BATTERYPIECENUMBER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `BATTERYTOTALCAPACITY` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `BATTERYREMAINTIME` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `CHARGINGCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTPOWER1` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTPOWER2` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTPOWER3` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTVOLTAGE1` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTVOLTAGE2` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTVOLTAGE3` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `INNERTEMPERATURE` varchar(24) COLLATE utf8_bin DEFAULT NULL,
  `MAXTEMPERATURE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RGRIDVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `SGRIDVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `TGRIDVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RSGRIDVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RTGRIDVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `STGRIDVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RGRIDCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `SGRIDCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `TGRIDCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RPHASEPOWER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `SPHASEPOWER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `TPHASEPOWER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `WHOLEPOWER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RPHASEACOUTPUTVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `SPHASEACOUTPUTVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `TPHASEACOUTPUTVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RSPHASEACOUTPUTVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RTPHASEACOUTPUTVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `STPHASEACOUTPUTVOLTAGE` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RACOUTPUTCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `SACOUTPUTCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `TACOUTPUTCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `RPHASEACOUTPUTLOAD` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `SPHASEACOUTPUTLOAD` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `TPHASEACOUTPUTLOAD` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `WHOLEACOUTPUTLOAD` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `OUTPUTAPPARENTPOWER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `OUTPUTACTIVEPOWER` varchar(24) CHARACTER SET latin1 DEFAULT NULL,
  `CURRENTTIME` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `WHOLEGRIDOUTPUTPOWER` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `WHOLEGRIDOUTPUTAPPERENTPOWER` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `GRIDOUTPUTPOWERPERCENTAGE` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `ACOUTPUTACTIVEPOWERR` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `ACOUTPUTACTIVEPOWERS` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `ACOUTPUTACTIVEPOWERT` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `ACOUTPUTAPPERENTPOWERR` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `ACOUTPUTAPPERENTPOWERS` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `ACOUTPUTAPPERENTPOWERT` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `TTLCHARGINGCURRENT` varchar(32) CHARACTER SET latin1 DEFAULT NULL,
  `TTLOUTPUTAPPARENTPOWER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `TTLOUTPUTACTIVEPOWER` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `TTLOUTPUTPERCENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `BATDISCURRENT` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTCURRENTFORBATTTERY` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTCURRENT1` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTCURRENT2` varchar(16) CHARACTER SET latin1 DEFAULT NULL,
  `PVINPUTCURRENT3` varchar(16) CHARACTER SET latin1 DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE `yenergies` (
  `YID` int(11) NOT NULL,
  `PRODID` varchar(20) NOT NULL,
  `SERIALNO` varchar(64) NOT NULL,
  `IYEAR` int(11) NOT NULL,
  `ENERGY` double NOT NULL,
  `ISCOMPLETE` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `denergies`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `henergies`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `menergies`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `serialnos`
  ADD PRIMARY KEY (`SID`);

ALTER TABLE `workDatas`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `denergies`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1967;

ALTER TABLE `henergies`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6963;

ALTER TABLE `menergies`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=71;

ALTER TABLE `serialnos`
  MODIFY `SID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

ALTER TABLE `workDatas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6720221;